package org.eclipse.ormf.server.base.services.domain.internal.bundle;

import org.eclipse.ormf.server.base.services.domain.DomainFactoryService;
import org.eclipse.ormf.server.base.services.domain.internal.DomainFactoryServiceImpl;
import org.eclipse.soda.sat.core.framework.BaseBundleActivator;

public class Activator extends BaseBundleActivator {
	private DomainFactoryService domainFactoryService;

	@Override
	protected void activate() {
		domainFactoryService = new DomainFactoryServiceImpl();
		addExportedService(DomainFactoryService.class.getName(),
				domainFactoryService, null);
	}

	@Override
	protected void deactivate() {
		domainFactoryService = null;
	}
}